[multilib] Conflit avec AUR, mise a jour impossible

Mise à jour / Création /debug de paquetages
Répondre
GeeGeeeGeeeeeek
Hankyu
Messages : 10
Inscription : sam. 23 avr. 2022, 18:50

[multilib] Conflit avec AUR, mise a jour impossible

Message par GeeGeeeGeeeeeek »

Bonjour, je suis debutant sur Arch et depuis un bon moment je n'arrive plus a me depatouiller avec la mise a jour systeme via pacman. (Je precise tout de suite que j'ai un clavier americain et que je n'ai pas encore mis les accents)

Tout a commence quand j'ai voulu active les paquets [multilib] pour pouvoir installer steam mais je n'ai pas fait attention au fait que j'avais des paquets AUR sur mon systeme ce qui a fait tout plante, j'ai pourtant ete mis en garde sur le wiki arch de l'installation de steam mais j'ai fait sa sur plusieurs jours et j'ai completement oublie ce point. Donc j'ai quand meme pu reussire a redemarrer mon systeme en editant le fichier /etc/pacman.d/mirrorlist avec "Server=https://archive.archlinux.org/repos/202 ... o/os/$arch" a l'interieure la date a laquelle le systeme etait encore fonctionnel(2022/04/09).
Ensuite j'ai donc logiquement desactive [multilib] puis reedite 'mirrorlist' via:
reflector -c Switzerland -a 6 --sort rate --save /etc/pacman.d/mirrorlis

qui semble s'executer mais me renvoie quand meme:
[2022-05-01 19:02:15] WARNING: failed to rate rsync download (rsync://mirror.puzzle.ch/archlinux/community/os/x86_64/community.db): [Errno 2] No such file or directory: 'rsync'
[2022-05-01 19:02:16] WARNING: failed to rate rsync download (rsync://pkg.adfinis.com/archlinux/community/os/x86_64/community.db): [Errno 2] No such file or directory: 'rsync'
[2022-05-01 19:02:16] WARNING: failed to rate rsync download (rsync://mirror.init7.net/archlinux/community/os/x86_64/community.db): [Errno 2] No such file or directory: 'rsync'

Aujourdhui "sudo pacman -Syu" me renvoie:
recherche des conflits entre paquets…
erreur : la préparation de la transaction a échoué (la satisfaction des dépendances a échoué)
:: l’installation de libelf (0.187-1) casse la dépendance « libelf=0.186 » requise par lib32-libelf

J'ai essaye de desinstaller ce fameux libelf avec l'option -c mais vu le nombre de giga a desinstaller j'ai pas vraiment eu envie de tenter le coup...
Et "# pacman -Rs libelf" ne peut pas s'executer car il y a des paquets qui en dependent.
Donc si vous voulez mon premiere objectif serait de pouvoir avoir la mise a jour du system operationnel sans [multilib] et c'est pour ca que je demande votre aide.
Je precise aussi que j'ai reiterer plusieur fois l'opertation: [activation de [multilib] + installation de steam] ---> [plantage au redemarage] ---> [backup]
Avec entretemp l'installation de steam via flatpak, mon souci c'est que j'aime le gaming et je suis un peu trop impatient. :roll:
J'ai fait pas mal de recherche sur google et les forums sans succes, bon j'ai quand meme pu lancer grace a ca quelques commandes qui pourrait peut etre faire avancer le shmilblick:
"pacman -Qme" renvoie:
binance 1.34.0-1
brave-bin 1:1.37.111-1
debtap 3.4.2-1
kipi-plugins 21.12.3-1
lib32-fontconfig 2:2.14.0-1
lib32-nvidia-utils 510.60.02-1
steam 1.0.0.74-1
yay 11.1.2-1

et "pacman -Qdt" renvoie:
go 2:1.18-1
libqrtr-glib 1.2.2-1

Je serait vraiment content de resoudre ce probleme avec vous ca m'enleverai une sacree epine du pied.
Dernière modification par GeeGeeeGeeeeeek le mer. 04 mai 2022, 17:12, modifié 1 fois.
benjarobin
Maître du Kyudo
Messages : 16458
Inscription : sam. 30 mai 2009, 15:48
Localisation : Lyon

Re: [multilib] Conflit avec AUR, mise a jour impossible

Message par benjarobin »

Bonjour,
Activer multilib ne devrait jamais poser le moindre problème...
Installer steam via les dépôts officiel ne devrait pas poser de problème non plus, où as tu lu ceci ?
Il est possible que tu utilises des miroirs qui soient tout cassé... Personnellement j'utilise ceci

Code : Tout sélectionner

Server = http://archlinux.polymorf.fr/$repo/os/$arch
Server = http://mirror.de.leaseweb.net/archlinux/$repo/os/$arch
Server = http://mirrors.n-ix.net/archlinux/$repo/os/$arch
Server = http://mirror.lightcone.eu/archlinux/$repo/os/$arch
Peux tu activer le dépôt multilib, changer tous tes miroirs par ceux donnés, et lancer ceci (Et nous donner la sortie associée) : pacman -Syyuu
Zsh | KDE | PC fixe : core i7, carte nvidia
Titre d'un sujet : [Thème] Sujet (état) / Règles du forum
GeeGeeeGeeeeeek
Hankyu
Messages : 10
Inscription : sam. 23 avr. 2022, 18:50

Re: [multilib] Conflit avec AUR, mise a jour impossible

Message par GeeGeeeGeeeeeek »

Je n'arrive pas a retrouve ou j'ai lu ca mais sa disais qu'il fallait prudement mettre a jour une foi [multilib] active avec des paquet AUR deja installe mais c'est possible que j'ai lu ca sur une ligne qui ne concernais pas en faite [multilib].
Et "pacman -Syyuu" me renvoi sa, j'ai mis non par peur d'a nouveau tout casser mais je doit mettre oui peut etre?:

Code : Tout sélectionner

:: Synchronisation des bases de données de paquets…
 core                                                             156,3 KiB  2,18 MiB/s 00:00 [######################################################] 100%
 extra                                                           1700,3 KiB  38,6 MiB/s 00:00 [######################################################] 100%
 community                                                          6,6 MiB  79,4 MiB/s 00:00 [######################################################] 100%
 multilib                                                         174,4 KiB  17,0 MiB/s 00:00 [######################################################] 100%
:: Début de la mise à jour complète du système…
résolution des dépendances…
recherche des conflits entre paquets…
avertissement : cycle de dépendances détecté :
avertissement : harfbuzz sera installé avant sa dépendance freetype2
avertissement : cycle de dépendances détecté :
avertissement : mesa sera installé avant sa dépendance libglvnd
avertissement : cycle de dépendances détecté :
avertissement : nvidia-utils sera installé avant sa dépendance libglvnd
avertissement : cycle de dépendances détecté :
avertissement : nvidia-utils sera installé avant sa dépendance libglvnd
avertissement : cycle de dépendances détecté :
avertissement : nvidia-utils sera installé avant sa dépendance libglvnd
avertissement : cycle de dépendances détecté :
avertissement : smbclient sera installé avant sa dépendance cifs-utils
avertissement : cycle de dépendances détecté :
avertissement : lib32-harfbuzz sera installé avant sa dépendance lib32-freetype2
avertissement : cycle de dépendances détecté :
avertissement : lib32-mesa sera installé avant sa dépendance lib32-libglvnd
avertissement : cycle de dépendances détecté :
avertissement : lib32-nvidia-utils sera installé avant sa dépendance lib32-libglvnd

Paquets (527) adwaita-icon-theme-42.0+r1+gc144c3d75-1  akonadi-22.04.0-1  akonadi-calendar-22.04.0-1  akonadi-calendar-tools-22.04.0-1
              akonadi-contacts-22.04.0-1  akonadi-import-wizard-22.04.0-1  akonadi-mime-22.04.0-1  akonadi-notes-22.04.0-1  akonadi-search-22.04.0-1
              akonadiconsole-22.04.0-1  akregator-22.04.0-1  alsa-card-profiles-1:0.3.51-1  analitza-22.04.0-1  appstream-0.15.3-1  appstream-qt-0.15.3-1
              archlinux-appstream-data-20220422-1  archlinux-keyring-20220424-1  ark-22.04.0-1  artikulate-22.04.0-2  at-spi2-core-2.44.1-1
              attica-5.93.0-1  audiocd-kio-22.04.0-1  audit-3.0.8-1  baloo-5.93.0-1  baloo-widgets-22.04.0-1  binutils-2.38-4  bison-3.8.2-4
              blinken-22.04.0-1  bluedevil-1:5.24.5-1  bluez-qt-5.93.0-1  bomber-22.04.0-1  boost-libs-1.78.0-2  bovo-22.04.0-1  breeze-5.24.5-1
              breeze-gtk-5.24.5-1  breeze-icons-5.93.0-1  brotli-1.0.9-8  btrfs-progs-5.17-1  ca-certificates-mozilla-3.78-1  calendarsupport-22.04.0-1
              cantor-22.04.0-1  cervisia-22.04.0-1  cifs-utils-6.15-1  coreutils-9.1-1  cronie-1.6.1-1  curl-7.83.0-1  dialog-1:1.3_20220414-1
              discover-5.24.5-1  dolphin-22.04.0-1  dolphin-plugins-22.04.0-1  dragon-22.04.0-1  drkonqi-5.24.5-1  elisa-22.04.0-1  enchant-2.3.3-1
              eventviews-22.04.0-1  exiv2-0.27.5-3  ffmpegthumbs-22.04.0-1  filelight-22.04.0-1  fluidsynth-2.2.7-1  frameworkintegration-5.93.0-1
              freetype2-2.12.1-1  fribidi-1.0.12-1  gavl-1.4.0-6  git-2.36.0-1  glew-2.2.0-3  glib2-2.72.1-1  glslang-11.9.0-1  glu-9.0.2-3
              gnupg-2.2.35-1  gnutls-3.7.4-2  go-2:1.18.1-1  gptfdisk-1.0.9-1  granatier-22.04.0-1  grantlee-editor-22.04.0-1  grantleetheme-22.04.0-1
              gst-plugins-bad-1.20.2-1  gst-plugins-bad-libs-1.20.2-1  gst-plugins-base-1.20.2-1  gst-plugins-base-libs-1.20.2-1
              gst-plugins-good-1.20.2-1  gstreamer-1.20.2-1  gtk-update-icon-cache-1:4.6.3-1  gtk3-1:3.24.33-3  gwenview-22.04.0-1  harfbuzz-4.2.1-1
              harfbuzz-icu-4.2.1-1  iana-etc-20220427-1  icu-71.1-1  imagemagick-7.1.0.32-1  imlib2-1.9.0-3  incidenceeditor-22.04.0-1  iproute2-5.17.0-3
              itinerary-22.04.0-1  jack2-1.9.21-1  jansson-2.14-2  jasper-2.0.33-2  json-c-0.16-1  juk-22.04.0-1  k3b-1:22.04.0-1
              kaccounts-integration-22.04.0-1  kaccounts-providers-22.04.0-1  kactivities-5.93.0-1  kactivities-stats-5.93.0-1  kactivitymanagerd-5.24.5-1
              kaddressbook-22.04.0-1  kajongg-22.04.0-2  kalarm-22.04.0-1  kalgebra-22.04.0-1  kalzium-22.04.0-1  kamera-22.04.0-1  kamoso-22.04.0-1
              kanagram-22.04.0-1  kapman-22.04.0-1  kapptemplate-22.04.0-1  karchive-5.93.0-1  kate-22.04.0-1  katomic-22.04.0-1  kauth-5.93.0-1
              kbackup-22.04.0-1  kblackbox-22.04.0-1  kblocks-22.04.0-1  kbookmarks-5.93.0-1  kbounce-22.04.0-1  kbreakout-22.04.0-1  kbruch-22.04.0-1
              kcachegrind-22.04.0-1  kcachegrind-common-22.04.0-1  kcalc-22.04.0-1  kcalendarcore-5.93.0-1  kcalutils-22.04.0-2  kcharselect-22.04.0-1
              kcmutils-5.93.0-1  kcodecs-5.93.0-1  kcolorchooser-22.04.0-1  kcompletion-5.93.0-1  kconfig-5.93.0-1  kconfigwidgets-5.93.0-1
              kcontacts-1:5.93.0-1  kcoreaddons-5.93.0-1  kcrash-5.93.0-1  kcron-22.04.0-1  kdav-1:5.93.0-1  kdbusaddons-5.93.0-1  kde-cli-tools-5.24.5-1
              kde-dev-scripts-22.04.0-1  kde-dev-utils-22.04.0-1  kde-gtk-config-5.24.5-1  kdebugsettings-22.04.0-1  kdeclarative-5.93.0-1
              kdeconnect-22.04.0-2  kdecoration-5.24.5-1  kded-5.93.0-1  kdeedu-data-22.04.0-1  kdegraphics-mobipocket-22.04.0-1
              kdegraphics-thumbnailers-22.04.0-1  kdelibs4support-5.93.0-1  kdenetwork-filesharing-22.04.0-1  kdenlive-22.04.0-1  kdepim-addons-22.04.0-1
              kdepim-runtime-22.04.0-1  kdeplasma-addons-5.24.5-1  kdesdk-kioslaves-22.04.0-1  kdesdk-thumbnailers-22.04.0-1  kdesu-5.93.0-1
              kdevelop-22.04.0-1  kdevelop-php-22.04.0-1  kdf-22.04.0-1  kdialog-22.04.0-1  kdiamond-22.04.0-1  kdnssd-5.93.0-1  kdoctools-5.93.0-1
              keditbookmarks-22.04.0-1  kemoticons-5.93.0-1  kfilemetadata-5.93.0-1  kfind-22.04.0-1  kfloppy-22.04.0-1  kfourinline-22.04.0-1
              kgamma5-5.24.5-1  kgeography-22.04.0-1  kget-22.04.0-1  kglobalaccel-5.93.0-1  kgoldrunner-22.04.0-1  kgpg-22.04.0-1  kguiaddons-5.93.0-1
              khangman-22.04.0-2  khealthcertificate-22.04-1  khelpcenter-22.04.0-1  kholidays-1:5.93.0-1  khotkeys-5.24.5-1  khtml-5.93.0-1
              ki18n-5.93.0-1  kiconthemes-5.93.0-1  kidentitymanagement-22.04.0-1  kidletime-5.93.0-1  kig-22.04.0-1  kigo-22.04.0-1  killbots-22.04.0-1
              kimagemapeditor-22.04.0-2  kimap-22.04.0-1  kinfocenter-5.24.5-1  kinit-5.93.0-1  kio-5.93.0-1  kio-extras-22.04.0-2  kio-gdrive-22.04.0-1
              kirigami-gallery-22.04.0-1  kirigami2-5.93.0-1  kiriki-22.04.0-1  kitemmodels-5.93.0-1  kitemviews-5.93.0-1  kiten-22.04.0-1
              kitinerary-22.04.0-1  kjobwidgets-5.93.0-1  kjs-5.93.0-1  kjumpingcube-22.04.0-1  kldap-22.04.0-1  kleopatra-22.04.0-1  klettres-22.04.0-1
              klickety-22.04.0-1  klines-22.04.0-1  kmag-22.04.0-1  kmahjongg-22.04.0-1  kmail-22.04.0-1  kmail-account-wizard-22.04.0-1
              kmailtransport-22.04.0-1  kmbox-22.04.0-1  kmenuedit-5.24.5-1  kmime-22.04.0-1  kmines-22.04.0-1  kmix-22.04.0-1  kmousetool-22.04.0-1
              kmouth-22.04.0-1  kmplot-22.04.0-1  knavalbattle-22.04.0-1  knetwalk-22.04.0-1  knewstuff-5.93.0-1  knights-22.04.0-2  knotes-22.04.0-1
              knotifications-5.93.0-1  knotifyconfig-5.93.0-1  kolf-22.04.0-1  kollision-22.04.0-1  kolourpaint-22.04.0-1  kompare-22.04.0-1
              konqueror-22.04.0-1  konquest-22.04.0-1  konsole-22.04.0-1  kontact-22.04.0-1  kontactinterface-22.04.0-1  kontrast-22.04.0-1
              konversation-22.04.0-1  kopeninghours-22.04.0-1  kopete-22.04.0-1  korganizer-22.04.0-1  kosmindoormap-22.04.0-2  kpackage-5.93.0-1
              kparts-5.93.0-1  kpat-22.04.0-1  kpeople-5.93.0-1  kpimtextedit-22.04.0-1  kpkpass-22.04.0-1  kplotting-5.93.0-1  kpmcore-22.04.0-1
              kpty-5.93.0-1  kpublictransport-22.04.0-1  kqtquickcharts-22.04.0-1  kquickcharts-5.93.0-1  krdc-22.04.0-1  kreversi-22.04.0-1
              krfb-22.04.0-2  kross-5.93.0-1  kruler-22.04.0-1  krunner-5.93.0-1  kscreen-5.24.5-1  kscreenlocker-5.24.5-1  kservice-5.93.0-1
              kshisen-22.04.0-1  ksirk-22.04.0-1  ksmtp-22.04.0-1  ksnakeduel-22.04.0-1  kspaceduel-22.04.0-1  ksquares-22.04.0-1  ksshaskpass-5.24.5-1
              ksudoku-22.04.0-1  ksystemlog-22.04.0-1  ksystemstats-5.24.5-1  kteatime-22.04.0-1  ktexteditor-5.93.0-1  ktextwidgets-5.93.0-1
              ktimer-22.04.0-1  ktnef-22.04.0-1  ktorrent-22.04.0-1  ktouch-22.04.0-1  ktuberling-22.04.0-1  kturtle-22.04.0-1  kubrick-22.04.0-1
              kunitconversion-5.93.0-1  kwallet-5.93.0-1  kwallet-pam-5.24.5-1  kwalletmanager-22.04.0-1  kwave-22.04.0-1  kwayland-5.93.0-2
              kwayland-integration-5.24.5-1  kwayland-server-5.24.5-1  kwidgetsaddons-5.93.0-1  kwin-5.24.5-1  kwindowsystem-5.93.0-1  kwordquiz-22.04.0-1
              kwrite-22.04.0-1  kwrited-5.24.5-1  kxmlgui-5.93.0-1  layer-shell-qt-5.24.5-1  lib32-curl-7.83.0-1  lib32-freetype2-2.12.1-1
              lib32-glib2-2.72.1-1  lib32-harfbuzz-4.2.1-1  lib32-icu-71.1-1  lib32-libelf-0.187-1  lib32-libglvnd-1.4.0-2  lib32-libx11-1.8-1
              lib32-libxml2-2.9.13-2  lib32-mesa-22.0.2-1  lib32-nss-3.78-1  lib32-nvidia-utils-510.68.02-1  lib32-vulkan-icd-loader-1.3.209-1
              lib32-zlib-1.2.12-1  libaio-0.3.113-1  libakonadi-22.04.0-1  libappindicator-gtk3-12.10.0.r296-2  libarchive-3.6.1-1  libbpf-0.7.0-1
              libbsd-0.11.6-2  libcap-2.64-1  libcap-ng-0.8.3-1  libdbusmenu-glib-16.04.0-5  libdbusmenu-gtk3-16.04.0-5  libelf-0.187-1  libglvnd-1.4.0-2
              libgravatar-22.04.0-1  libgudev-237-2  libical-3.0.14-3  libindicator-gtk3-12.10.1-10  libinih-55-2  libinput-1.20.1-1  libkcddb-22.04.0-1
              libkcompactdisc-22.04.0-1  libkdcraw-22.04.0-1  libkdegames-22.04.0-1  libkdepim-22.04.0-1  libkeduvocdocument-22.04.0-1
              libkexiv2-22.04.0-1  libkgapi-22.04.0-1  libkleo-22.04.0-1  libkmahjongg-22.04.0-1  libkomparediff2-22.04.0-1  libksane-22.04.0-1
              libkscreen-5.24.5-1  libksieve-22.04.0-1  libksysguard-5.24.5-1  libktorrent-22.04.0-1  libmanette-0.2.6-3  libmbim-1.26.4-1
              libmfx-22.3.0-1  libmm-glib-1.18.8-1  libmnl-1.0.5-1  libnfnetlink-1.0.2-1  libnl-3.6.0-3  libnotify-0.7.11-1  libopenmpt-0.6.3-1
              libpgm-5.3.128-2  libphonenumber-1:8.12.47-1  libpipeline-1.5.6-1  libqalculate-4.1.1-2  libqmi-1.30.6-1  libqrtr-glib-1.2.2-2
              librsvg-2:2.54.1-1  libsasl-2.1.28-1  libseccomp-2.5.4-1  libshout-1:2.4.6-1  libusb-1.0.26-1  libva-2.14.0-1  libx11-1.8-1
              libxml2-2.9.13-2  libxnvctrl-510.68.02-1  linux-5.17.5.arch1-1  linux-firmware-20220411.705f19a-1  linux-firmware-whence-20220411.705f19a-1
              linux-headers-5.17.5.arch1-1  linux-lts-5.15.37-1  linux-zen-5.17.5.zen1-1  lokalize-22.04.0-1  lskat-22.04.0-1  lsof-4.95.0-1
              mailcommon-22.04.0-1  mailimporter-22.04.0-1  marble-22.04.0-2  marble-common-22.04.0-2  markdownpart-22.04.0-1  mbox-importer-22.04.0-1
              mesa-22.0.2-1  mesa-utils-8.4.0-8  messagelib-22.04.0-1  milou-5.24.5-1  minizip-1:1.2.12-2  minuet-22.04.0-1  modemmanager-1.18.8-1
              modemmanager-qt-5.93.0-1  mpg123-1.29.3-2  nano-6.3-1  ncurses-6.3-3  ndctl-73-1  networkmanager-qt-5.93.0-1  noto-fonts-20220502-1
              nss-3.78-1  nvidia-510.68.02-1  nvidia-dkms-510.68.02-1  nvidia-settings-510.68.02-1  nvidia-utils-510.68.02-1  okular-22.04.0-1
              openal-1.22.0-1  openexr-3.1.5-1  openssh-9.0p1-1  oxygen-5.24.5-1  pacman-mirrorlist-20220501-1  palapeli-22.04.0-1  pango-1:1.50.7-1
              parley-22.04.0-1  parted-3.5-1  partitionmanager-22.04.0-1  pciutils-3.8.0-1  pcre2-10.40-1  picmi-22.04.0-1  pim-data-exporter-22.04.0-1
              pim-sieve-editor-22.04.0-1  pimcommon-22.04.0-1  pipewire-1:0.3.51-1  pkcs11-helper-1.29.0-1  plasma-browser-integration-5.24.5-1
              plasma-desktop-5.24.5-1  plasma-disks-5.24.5-1  plasma-firewall-5.24.5-1  plasma-framework-5.93.0-4  plasma-integration-5.24.5-1
              plasma-nm-5.24.5-1  plasma-pa-5.24.5-1  plasma-sdk-5.24.5-1  plasma-systemmonitor-5.24.5-1  plasma-thunderbolt-5.24.5-1
              plasma-vault-5.24.5-1  plasma-workspace-5.24.5-1  plasma-workspace-wallpapers-5.24.5-1  polkit-kde-agent-5.24.5-1  powerdevil-5.24.5-1
              poxml-22.04.0-1  print-manager-22.04.0-1  prison-5.93.0-1  protobuf-3.20.1-1  purpose-5.93.0-1  python-automat-20.2.0-9
              python-click-8.1.3-1  python-packaging-21.3-1  python-pyparsing-3.0.8-1  python-pyqt5-sip-12.10.1-1  python-qtpy-2.0.1-1
              python-six-1.16.0-5  python-typing_extensions-4.2.0-1  qqc2-desktop-style-5.93.0-1  qt5-base-5.15.3+kde+r145-1  qt5-wayland-5.15.3+kde+r44-1
              qt5-webengine-5.15.9-2  qt5-webkit-5.212.0alpha4-13  raptor-2.0.15-19  rocs-22.04.0-1  samba-4.16.1-2  sddm-kcm-5.24.5-1  sdl2-2.0.22-1
              shaderc-2022.1-3  signon-kwallet-extension-22.04.0-1  skanlite-22.04.0-1  smbclient-4.16.1-2  solid-5.93.0-1  sonnet-5.93.0-1
              spectacle-22.04.0-1  sqlite-3.38.3-1  step-22.04.0-1  svgpart-22.04.0-1  sweeper-22.04.0-1  syndication-5.93.0-1
              syntax-highlighting-5.93.0-1  systemd-250.5-1  systemd-libs-250.5-1  systemd-sysvcompat-250.5-1  systemsettings-5.24.5-1
              telepathy-kde-accounts-kcm-22.04.0-1  telepathy-kde-approver-22.04.0-1  telepathy-kde-auth-handler-22.04.0-1
              telepathy-kde-call-ui-22.04.0-1  telepathy-kde-common-internals-22.04.0-1  telepathy-kde-contact-list-22.04.0-1
              telepathy-kde-contact-runner-22.04.0-1  telepathy-kde-desktop-applets-22.04.0-1  telepathy-kde-filetransfer-handler-22.04.0-1
              telepathy-kde-integration-module-22.04.0-1  telepathy-kde-send-file-22.04.0-1  telepathy-kde-text-ui-22.04.0-1  threadweaver-5.93.0-1
              tracker3-3.3.0-2  umbrello-22.04.0-1  vlc-3.0.17.4-2  vmaf-2.3.1-1  vtk-9.1.0-14  vulkan-icd-loader-1.3.209-1  webkit2gtk-2.36.1-1
              xapian-core-1:1.4.19-2  xdg-desktop-portal-1.14.3-1  xdg-desktop-portal-kde-5.24.5-1  xerces-c-3.2.3-6  xfsprogs-5.15.0-2  xmlsec-1.2.34-1
              xorg-xauth-1.1.2-1  xorg-xdpyinfo-1.3.3-4  xorgproto-2022.1-1  yakuake-22.04.0-1  zanshin-22.04.0-1  zenity-3.42.1-1
              zeroconf-ioslave-22.04.0-1  zlib-1:1.2.12-2  zxing-cpp-1.3.0-1

Taille totale du téléchargement :  2192,28 MiB
Taille totale installée :          5533,28 MiB
Taille de mise à jour nette :        93,30 MiB

:: Procéder à l’installation ? [O/n]
benjarobin
Maître du Kyudo
Messages : 16458
Inscription : sam. 30 mai 2009, 15:48
Localisation : Lyon

Re: [multilib] Conflit avec AUR, mise a jour impossible

Message par benjarobin »

Bien sur que tu dois lancer la mise à jour. Cela ne devrait pas casser ton système...
Zsh | KDE | PC fixe : core i7, carte nvidia
Titre d'un sujet : [Thème] Sujet (état) / Règles du forum
GeeGeeeGeeeeeek
Hankyu
Messages : 10
Inscription : sam. 23 avr. 2022, 18:50

Re: [multilib] Conflit avec AUR, mise a jour impossible

Message par GeeGeeeGeeeeeek »

Je n'ai pas pu faire la mise a jours voila ce qui ce passe a la fin:
téléchargement des clés requises…
:: Importer la clé PGP 0F65C7D881506130, « Maxime Gauduin <alucryd@archlinux.org> » ? [O/n] o
(529/529) vérification de l’intégrité des paquets [######################################################] 100%
erreur : libinih : la clé « 95220BE99CE6FF778AE0DC670F65C7D881506130 » est inconnue
:: Importer la clé PGP 95220BE99CE6FF778AE0DC670F65C7D881506130 ? [O/n] o
erreur : la clé « 95220BE99CE6FF778AE0DC670F65C7D881506130 » ne peut être recherchée à distance
:: Le fichier /var/cache/pacman/pkg/libinih-55-2-x86_64.pkg.tar.zst est corrompu (paquet non valide ou corrompu (signature PGP)).
Voulez-vous le supprimer ? [O/n] o
erreur : la validation de la transaction a échoué (paquet non valide ou corrompu)
Des erreurs se sont produites, aucun paquet n’a été mis à jour.
benjarobin
Maître du Kyudo
Messages : 16458
Inscription : sam. 30 mai 2009, 15:48
Localisation : Lyon

Re: [multilib] Conflit avec AUR, mise a jour impossible

Message par benjarobin »

Fait ceci :

Code : Tout sélectionner

pacman -S archlinux-keyring
pacman -Suu
Zsh | KDE | PC fixe : core i7, carte nvidia
Titre d'un sujet : [Thème] Sujet (état) / Règles du forum
GeeGeeeGeeeeeek
Hankyu
Messages : 10
Inscription : sam. 23 avr. 2022, 18:50

Re: [multilib] Conflit avec AUR, mise a jour impossible

Message par GeeGeeeGeeeeeek »

c'est fait, donc ca me fait comme auparavant. J'aurai bien aimer le precise avant, j'ai donc ce type d'erreur:
libqmi : /usr/share/man/man1/qmicli.1.gz est déjà présent dans le système de fichiers
sur une serie incalculable de fichier. Et a la toute fin:
Des erreurs se sont produites, aucun paquet n’a été mis à jour.
benjarobin
Maître du Kyudo
Messages : 16458
Inscription : sam. 30 mai 2009, 15:48
Localisation : Lyon

Re: [multilib] Conflit avec AUR, mise a jour impossible

Message par benjarobin »

Il fallait le préciser, mais on avance...
Quelle est la sortie de : pacman -Qo /usr/share/man/man1/qmicli.1.gz
Peux tu donner toute la sortie ? Ainsi qu'un maximum de pacman -Qo ... afin d'y voir plus clair.
Actuellement rien n'a été fait, donc ton système n'est pas planté. Peux tu définir ce que tu entendais par planté ?
Zsh | KDE | PC fixe : core i7, carte nvidia
Titre d'un sujet : [Thème] Sujet (état) / Règles du forum
GeeGeeeGeeeeeek
Hankyu
Messages : 10
Inscription : sam. 23 avr. 2022, 18:50

Re: [multilib] Conflit avec AUR, mise a jour impossible

Message par GeeGeeeGeeeeeek »

pacman -Qo /usr/share/man/man1/qmicli.1.gz
erreur : aucun paquet ne contient /usr/share/man/man1/qmicli.1.gz


J'envoie le reste tres bientot
benjarobin
Maître du Kyudo
Messages : 16458
Inscription : sam. 30 mai 2009, 15:48
Localisation : Lyon

Re: [multilib] Conflit avec AUR, mise a jour impossible

Message par benjarobin »

Donc ton système est "corrompu" au moins partiellement, as tu eu un plantage majeur du PC, coupure d’alimentation, extinction brutale ?...
Je te rassure tout est réparable, je veux juste avoir la vue d'ensemble avant de prendre la moindre décision.
Sinon je suis toujours curieux de connaître la réponse à : Peux tu définir ce que tu entendais par planté ?
Zsh | KDE | PC fixe : core i7, carte nvidia
Titre d'un sujet : [Thème] Sujet (état) / Règles du forum
GeeGeeeGeeeeeek
Hankyu
Messages : 10
Inscription : sam. 23 avr. 2022, 18:50

Re: [multilib] Conflit avec AUR, mise a jour impossible

Message par GeeGeeeGeeeeeek »

Oui excuse moi en faite le systeme ne voulais plus demarre, je suis donc passe par la cle usb d'installation et arch-chroot pour refaire demarre le systeme. Je precise aussi que aleatoirement le pc met un temp incroyable(peut etre desfois plus de 5 min) a s'eteindre/reboot et ceci peut importe les fois differrente ou j'ai installer Arch.
J'ai deja eu pas mal crash avec ce SSD quand il tournait sous widows (j'avais fait aussi un maximum d'optimisation).

pacman -Qo /usr/share/man/man1/qmi-network.1.gz /usr/share/man/man1/qmi-firmware-update.1.gz /usr/include/libqmi-glib/qmi-wms.h /usr/include/libqmi-glib/qmi-flags64-types.h /usr/bin/qmicli /usr/share/icons/breeze/status/symbolic/view-wrapped-symbolic.svg /usr/share/icons/breeze/status/24/network-mobile-60-gprs-locked.svg /usr/share/icons/breeze/preferences/32/preferences-system-login.svg
erreur : aucun paquet ne contient /usr/share/man/man1/qmi-network.1.gz
erreur : aucun paquet ne contient /usr/share/man/man1/qmi-firmware-update.1.gz
erreur : aucun paquet ne contient /usr/include/libqmi-glib/qmi-wms.h
erreur : aucun paquet ne contient /usr/include/libqmi-glib/qmi-flags64-types.h
erreur : aucun paquet ne contient /usr/bin/qmicli
erreur : aucun paquet ne contient /usr/share/icons/breeze/status/symbolic/view-wrapped-symbolic.svg
erreur : aucun paquet ne contient /usr/share/icons/breeze/status/24/network-mobile-60-gprs-locked.svg
erreur : aucun paquet ne contient /usr/share/icons/breeze/preferences/32/preferences-system-login.svg



Edit: je n'ai pas eu de plantage majeur, j'ai parcontre du faire un shutdown avec le bouton quand le systeme mettait un temp fou a reboot ou ne voulais plus reboot et encore sa c'etait il me semble sur mes precedente tentative d'installation d'Arch.
benjarobin
Maître du Kyudo
Messages : 16458
Inscription : sam. 30 mai 2009, 15:48
Localisation : Lyon

Re: [multilib] Conflit avec AUR, mise a jour impossible

Message par benjarobin »

Peux tu donner toute la sortie ? Je veux la liste des fichiers qui posent problème...
Si pacman ne peut pas faire la mise à jour, alors pourquoi cela aurait la moindre conséquence sur le prochain redémarrage ?
Et qu'est ce que tu as fait depuis arch-chroot afin de corriger le problème ? Tu ne dis pas tout...

Éteindre ainsi peut totalement corrompre le système, et ce n'est absolument pas recommandé !!! Et après tu es dans une situation pourri comme actuellement.
Zsh | KDE | PC fixe : core i7, carte nvidia
Titre d'un sujet : [Thème] Sujet (état) / Règles du forum
GeeGeeeGeeeeeek
Hankyu
Messages : 10
Inscription : sam. 23 avr. 2022, 18:50

Re: [multilib] Conflit avec AUR, mise a jour impossible

Message par GeeGeeeGeeeeeek »

Je ne sais pas comment donner toute la sortie sans depasser le maximum de caractere autorise.
Je ne sais pas pourquoi mais en tout cas le systeme ne redemarais plus apres cette tentative de mise a jour, je ne crois pas avoir fait autre chose qui puisse avoir mener a ca mais bon je doit certainement me tromper.
Et il redemarais avec ce qui suit :
Pour chroot: Donc j'ai quand meme pu reussire a redemarrer mon systeme en editant le fichier /etc/pacman.d/mirrorlist avec "Server=https://archive.archlinux.org/repos/202 ... o/os/$arch" avec la bonne date.
Je suis desole pour mon manque de precision mais je n'avais plus le renvoie de ces tentatives de mise a jour apres justement mon backup avec arch-chroot. j'avais trouve des erreurs du meme type sur le net mais je ne l'ai pas mise, mince.
benjarobin
Maître du Kyudo
Messages : 16458
Inscription : sam. 30 mai 2009, 15:48
Localisation : Lyon

Re: [multilib] Conflit avec AUR, mise a jour impossible

Message par benjarobin »

GeeGeeeGeeeeeek a écrit : mer. 04 mai 2022, 20:46Je ne sais pas comment donner toute la sortie sans depasser le maximum de caractere autorise.
Passe par un système de pastebin (https://wiki.archlinux.org/title/List_o ... n_services) par exemple pour envoyer file.txt, tu peux utiliser la commande : curl -F 'file=@-' 0x0.st < file.txt
Zsh | KDE | PC fixe : core i7, carte nvidia
Titre d'un sujet : [Thème] Sujet (état) / Règles du forum
GeeGeeeGeeeeeek
Hankyu
Messages : 10
Inscription : sam. 23 avr. 2022, 18:50

Re: [multilib] Conflit avec AUR, mise a jour impossible

Message par GeeGeeeGeeeeeek »

http://0x0.st/oAUx.txt

Je ne sais pas si j'ai fait les choses correctement mais ce fichier a ete upload. Il correspond bien au renvoi.
benjarobin
Maître du Kyudo
Messages : 16458
Inscription : sam. 30 mai 2009, 15:48
Localisation : Lyon

Re: [multilib] Conflit avec AUR, mise a jour impossible

Message par benjarobin »

Lance ceci :

Code : Tout sélectionner

pacman -Suu --overwrite "/usr/*"
sync
Zsh | KDE | PC fixe : core i7, carte nvidia
Titre d'un sujet : [Thème] Sujet (état) / Règles du forum
GeeGeeeGeeeeeek
Hankyu
Messages : 10
Inscription : sam. 23 avr. 2022, 18:50

Re: [multilib] Conflit avec AUR, mise a jour impossible

Message par GeeGeeeGeeeeeek »

Je vien de lancer la premiere commande et j'ai eu une erreur ensuite j'ai fait pacman -Syy, je ne sais pas si c'est ce que je devais faire pour faire "sync". En tout cas la mon pc a veritablement plante, la j'ai que mon curseur souris qui repond, j'ai pu me connecter avec mon autre pc. Je crois que je continuerai la suite demain. Comment je peut eteindre mon pc proprement?
benjarobin
Maître du Kyudo
Messages : 16458
Inscription : sam. 30 mai 2009, 15:48
Localisation : Lyon

Re: [multilib] Conflit avec AUR, mise a jour impossible

Message par benjarobin »

GeeGeeeGeeeeeek a écrit : mer. 04 mai 2022, 22:06Je vien de lancer la premiere commande et j'ai eu une erreur
Laquelle ???
GeeGeeeGeeeeeek a écrit : mer. 04 mai 2022, 22:06ensuite j'ai fait pacman -Syy
Pourquoi ? Ce n'est pas une commande que j'ai listée.
GeeGeeeGeeeeeek a écrit : mer. 04 mai 2022, 22:06 je ne sais pas si c'est ce que je devais faire pour faire "sync".
Pas compris la question ? Je te conseil vivement d’exécuter la commande sync. Mais sans savoir ce qui c'est passé avant c'est bien dommage....
GeeGeeeGeeeeeek a écrit : mer. 04 mai 2022, 22:06En tout cas la mon pc a veritablement plante, la j'ai que mon curseur souris qui repond
Qu'est ce que tu as fait pour que cela plante ?
Zsh | KDE | PC fixe : core i7, carte nvidia
Titre d'un sujet : [Thème] Sujet (état) / Règles du forum
GeeGeeeGeeeeeek
Hankyu
Messages : 10
Inscription : sam. 23 avr. 2022, 18:50

Re: [multilib] Conflit avec AUR, mise a jour impossible

Message par GeeGeeeGeeeeeek »

benjarobin a écrit : mer. 04 mai 2022, 22:11 Laquelle ???

Pourquoi ? Ce n'est pas une commande que j'ai listée.

Pas compris la question ? Je te conseil vivement d’exécuter la commande sync. Mais sans savoir ce qui c'est passé avant c'est bien dommage....

Qu'est ce que tu as fait pour que cela plante ?
-pacman -Suu --overwrite "/usr/*"
-J'ai cru que c'etait ce qui etait sous-entendu par 'sync'
-sync n'etait pas reconnu par le terminal, je suis quasi sur de l'avoir ecris correctement.
-Sa a plante apres 'pacman -Syy'


edit: demain je doit me lever tot j'y vais merci beaucoup pour toute ton aide, bonne fin de soirée
benjarobin
Maître du Kyudo
Messages : 16458
Inscription : sam. 30 mai 2009, 15:48
Localisation : Lyon

Re: [multilib] Conflit avec AUR, mise a jour impossible

Message par benjarobin »

La commande sync fait partie du paquet coreutils, qui est obligatoirement présent sur ton PC (une dépendance de base ou de linux, ...)
Au vu de l'état de ton système, je me demande si une réinstallation ne serait pas plus pertinent, car il est apparemment tout cassé...
Zsh | KDE | PC fixe : core i7, carte nvidia
Titre d'un sujet : [Thème] Sujet (état) / Règles du forum
Répondre